URL structure
{contactId} is the ID of a Covata user’s contact.
Supported methods and overview
PUT- modifies the an existing contact (specified bycontactId) for a Covata user (whose access token is submitted in the request to this endpoint).DELETE- removes an existing contact (specified bycontactId) or the Covata user (whose access token is submitted in the request to this endpoint).
The
DELETE method takes no parameters.Detailed description
This API endpoint serves a number of purposes:- Modifies the email address, first name and/or last name of an existing contact (specified by
contactId) that belongs to the Covata user (whose access token is submitted in the request to this endpoint).
A contact’s ID is obtained via theGETmethod on the <access-service>/api/v1/users/me/contacts endpoint, which retrieves a list of information for all contacts of the Covata user (whose access token is submitted in the request).
Note: A contact’s email address can be modified to one which does not match a registered Covata user account. However, if the Covata user successfully shares an item with this contact, then a new Covata user account is automatically created for this modified contact (with the Ad hoc role). - Removes an existing contact (specified by
contactId) that belongs to a Covata user (whose access token is submitted in the request to this endpoint).
A contact can also be modified or removed through the Contacts feature of SafeShare for Web.
Supported roles and conditions
This API endpoint supports requests utilising Covata user accounts with the following roles (as described in the Organisation Administrator’s Guide) and conditions:- Originator and Collaborator - when the contact (specified by
{contactId}in the request’s URL) belongs to this user.
Required headers
The appropriate access token as theBearer token:
Authorisation: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Content-Type: application/json
Required PUT-request parameters
The following required parameters must be sent in the body of the PUT request, as individual members of a JSON object:-
email - The email address of the contact (specified by
{contactId}in the URL and belonging to the Covata user whose access token is submitted in the request to this endpoint) to be modified.
Example (PUT request):
Optional PUT-request parameters
The following optional parameters can also be sent in the body of the PUT request, each as individual members of the JSON object that includes the Required PUT-request parameters above:-
firstName - The first name of the contact (specified by
{contactId}in the URL and belonging to the Covata user whose access token is submitted in the request to this endpoint) to be modified. Omitting this value in the request clears this property’s value tonull. -
lastName - The last name of this contact to be modified. Omitting this value in the request clears this property’s value to
null.
Example (PUT request with optional parameters):
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful PUT requests only, a JSON-formatted response containing the following members is also returned:
- id - The ID of the contact.
- email - The email address of the contact.
-
firstName - The optional first name of the contact. If this value was not specified when the contact was created and/or last modified, then its value is
null. -
lastName - The optional last name of the contact. If this value was not specified when the contact was created and/or last modified, then its value is also
null. - createdAt - The date and time when the contact was created.
-
modifiedAt - The date and time when the contact was last modified.
Example (response from a PUT request):

